Name: mpfc
Version: 1.3.7
Release: alt3

Summary: MPFC is music player for console
License: GPL
Group: Sound

URL: http://mpfc.sourceforge.net
Source: mpfc-%version.tar.bz2

Patch0: mpfc-1.1.1-alt-texinfo.patch
Patch1: mpfc-1.3.7-alt-makefile.patch
Patch2: mpfc-1.3.7-alt-weak.patch
Patch3: mpfc-1.3.7-alt-gcc41.patch
Patch4: mpfc-1.3.7-alt-pkgconfig.patch

Requires(post): %install_info
Requires(preun): %uninstall_info

# Added by buildreq2 on Mon Jun 26 2006
BuildRequires: libalsa-devel libgpm-devel libmad-devel libncurses-devel libvorbis-devel

%description
MPFC is an abbrevation for Music Player For Console.
It is a full-featured curses-based playlist-oriented player.
MPFC has vi-style key bindings.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
find -type f -name Makefile.am -print0 |xargs -r0 \
	subst -p 's:\$(prefix)/lib:%_libdir:g'
bzip2 -9fk ChangeLog

%build
autoreconf -fisv
%configure --disable-static
make -C libmpfc LDFLAGS="-release %version"
make -C libmpfcwnd LDFLAGS="-release %version"
make -C plugins LDFLAGS="-avoid-version $PWD/libmpfc/libmpfc.la $PWD/libmpfcwnd/libmpfcwnd.la"
make

%install
%make_install install DESTDIR=%buildroot
rm -v %buildroot%_libdir/mpfc/*/*.la
subst -p s/oss/alsa/g %buildroot/etc/mpfcrc
%find_lang mpfc

%post
%install_info mpfc.info

%preun
%uninstall_info mpfc.info

%files -f mpfc.lang
%doc AUTHORS ChangeLog.bz2 NEWS README
%_bindir/mpfc
%config(noreplace) /etc/mpfcrc
%_libdir/libmpfc-%version.so
%_libdir/libmpfcwnd-%version.so
%_libdir/mpfc/
%_man1dir/mpfc.?*
%_infodir/mpfc.?*

%package devel
Summary: MPFC is music player for console (development files)
Group: Development/Other
Requires: %name = %version-%release

%description devel
MPFC is an abbrevation for Music Player For Console.
It is a full-featured curses-based playlist-oriented player.

%files devel
%_includedir/mpfc/
%_libdir/libmpfc.so
%_libdir/libmpfcwnd.so
%_libdir/pkgconfig/mpfc.pc

%changelog
* Mon Jun 26 2006 Alexey Tourbin <at@altlinux.ru> 1.3.7-alt3
- fixed %%_libdir/mpfc stuff for x86_64
- use "-release %%version" libtool flags for libmpfc/libmpfcwnd
  and "-avoid-version" for plugins

* Mon Jun 26 2006 Alexey Tourbin <at@altlinux.ru> 1.3.7-alt2
- fixed gcc-4.1 issues
- linked input/output plugins with libmpfc and libmpfcwnd
- intoduced mpfc-devel subpackage
- using ALSA output plugin by default

* Wed Apr 19 2006 Alexey Tourbin <at@altlinux.ru> 1.3.7-alt1
- 1.3.6 -> 1.3.7
- fixed linkage
- alsa output is possibly broken, using oss by default

* Fri Sep 23 2005 Alexey Tourbin <at@altlinux.ru> 1.3.6-alt1
- 1.3.5 -> 1.3.6

* Fri Jan 07 2005 Alexey Tourbin <at@altlinux.ru> 1.3.5-alt1
- 1.3.3 -> 1.3.5

* Sat Oct 16 2004 Alexey Tourbin <at@altlinux.ru> 1.3.3-alt1
- 1.2-8 -> 1.3.3
- applied a patch from the author that fixes mouse initialization
- built with esd output plugin

* Thu Apr 15 2004 Alexey Tourbin <at@altlinux.ru> 1.2.8-alt1
- 1.2-4 -> 1.2-8
- util_strncpy.patch merged upstream

* Fri Mar 05 2004 Alexey Tourbin <at@altlinux.ru> 1.2.4-alt1
- 1.2-4
- alt-set-m_tail.patch merged upstream
- alt-util_strncpy.patch: fixed strcpy(3) inside util_strncpy()

* Sat Feb 28 2004 Alexey Tourbin <at@altlinux.ru> 1.2.2-alt1
- 1.2-2
- alt-set-m_tail.patch: fixed a bug in linked list processing

* Sun Feb 15 2004 Alexey Tourbin <at@altlinux.ru> 1.2-alt1
- 1.2
- non-pic code stuff fixed upstream
- use `libtool -release' to set SONAMEs according to package version

* Wed Feb 04 2004 Alexey Tourbin <at@altlinux.ru> 1.1.1-alt1.1
- added dependencies on install/uninstall-info
- better fix for non-pic code (convenience libtool libraries)

* Tue Feb 03 2004 Alexey Tourbin <at@altlinux.ru> 1.1.1-alt1
- updated to 1.1.1
- fixed non-pic code in plugins
- static libraries and .la files not packaged
- info page packaged
- description updated
- cleanup_spec applied

* Mon Oct 27 2003 Alexey Voinov <voins@altlinux.ru> 1.0-alt1
- new version (1.0)

* Wed Oct 15 2003 Alexey Voinov <voins@altlinux.ru> 0.3-alt1
- initial build
